package org.fouram.controller;

import org.apache.commons.lang3.StringUtils;
import org.fouram.core.base.controller.BaseController;
import org.fouram.core.util.AppUtil;
import org.fouram.core.util.AppUtil.ResultConstant;
import org.fouram.core.util.LoggerUtil;
import org.fouram.service.CheckTaskService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.ResponseBody;

@Controller
@RequestMapping(value = "/report")
public class ReportController extends BaseController {

	@Autowired
	private CheckTaskService checkTaskService;

	/**
	 * http://localhost:8080/sapcms/report/initReport?checkinDay=2020-05-11
	 * 
	 * @return
	 */
	@RequestMapping(value = "/initReport", produces = "application/json;charset=utf-8")
	@ResponseBody
	public Object initReport() {
		try {
			String checkinDay = getPageData().getString("checkinDay");
			if(StringUtils.isBlank(checkinDay)) {
				return AppUtil.error("参数checkinDay为空");
			}
			checkTaskService.executeBiz(checkinDay);
			return AppUtil.success();
		} catch (Exception e) {
			LoggerUtil.error(e);
			return AppUtil.error(ResultConstant.WEB_ERR_MSG);
		}
	}
}